Download it now!
Bug 120908 - KDE5: LO Calc -> Data -> Data provider leads to crash
Summary: KDE5: LO Calc -> Data -> Data provider leads to crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-25 12:41 UTC by Vera Blagoveschenskaya
Modified: 2018-12-21 12:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtrace log (7.72 KB, application/gzip)
2018-10-25 12:42 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-25 12:41:50 UTC
Description:
LO Calc -> Data -> Data provider leads to crash

Steps to Reproduce:
1. LO Calc -> Data -> Data provider

Actual Results:
Appcrash 

Expected Results:
No appcrash


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for 

Version: 6.2.0.0.alpha1+
Build ID: 25af42bc70e1a0a61d2ea90d7b0ef1ed6000ed69
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-23_18:02:41
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for 

Version: 6.2.0.0.alpha1+
Build ID: 25af42bc70e1a0a61d2ea90d7b0ef1ed6000ed69
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-23_18:02:41
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-25 12:42:28 UTC
Created attachment 145998 [details]
gdbtrace log
Comment 2 Xisco Faulí 2018-10-25 13:27:35 UTC
reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 3 Katarina Behrens (Inactive) 2018-11-14 08:37:03 UTC
Hello good people, this doesn't crash for me anymore. All the fixes I have atop my custom build has been merged to master so if any1 please can take a daily build and retest ?
Comment 4 Vera Blagoveschenskaya 2018-11-14 12:57:17 UTC
Can't reproduced for the lastest build

Version: 6.2.0.0.alpha1+
Build ID: 85dba18a3d3644a4ac49bd32ea106a4d69159fb4
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-13_23:14:30
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Vera Blagoveschenskaya 2018-11-14 12:59:04 UTC
2Xisco:
Could you please test from your side and close this issue?
Comment 6 Katarina Behrens (Inactive) 2018-11-14 13:14:32 UTC
Well then let's mark it fixed and I suspect it was this commit:  

https://gerrit.libreoffice.org/plugins/gitiles/core/+/927f58bd997b6c1b60e354ee247a119d3f0af64b
Comment 7 Xisco Faulí 2018-12-21 12:54:10 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded